Skip to content
Menu

Search the site

Type to search guides, blog, API and product.

↑ ↓ to move · Enter to open · Esc to close

Docs

API

API Reference

Integrate with TBit using our REST API

View as Markdown

Quick Start

Make your first API call in seconds:

Tags

Create and manage tags for your contacts

Contacts

Read and update contact information

SMS and calls

Send SMS and request AI calls through the agent's line

Appointments

Services, team and batch appointments for your calendar

Products

Read your product catalog and semantic search

Carts

Shareable carts that close on WhatsApp

Webhooks

Receive appointments, payments and escalations in your system, signed

Custom tools

Let the AI call your API during the conversation

Errors

Error codes and handling reference

GET/v1/activities
curl "https://rest-api.tbit.app/v1/activities" \
  -H "X-API-Key: $TBIT_API_KEY"
const response = await fetch('https://rest-api.tbit.app/v1/activities', {
  headers: {
    'X-API-Key': process.env.TBIT_API_KEY,
  },
});
const data = await response.json();
import axios from 'axios';

const { data } = await axios.get(
  'https://rest-api.tbit.app/v1/activities',
  {
    headers: {
      'X-API-Key': process.env.TBIT_API_KEY,
    },
  },
);
import os
import requests

response = requests.get(
    'https://rest-api.tbit.app/v1/activities',
    headers={'X-API-Key': os.environ['TBIT_API_KEY']},
)
data = response.json()
<?php
$ch = curl_init('https://rest-api.tbit.app/v1/activities');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'X-API-Key: ' . getenv('TBIT_API_KEY'),
    ],
]);
$data = json_decode(curl_exec($ch), true);
curl_close($ch);